Bug 375361 - remote_initd + install_initd must be in /usr/lib, not in /usr/lib64
remote_initd + install_initd must be in /usr/lib, not in /usr/lib64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: redhat-lsb (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Hao Liu
Fedora Extras Quality Assurance
:
: 434944 437846 442717 455021 471872 475437 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 21:20 EST by Kostas Georgiou
Modified: 2014-09-22 09:09 EDT (History)
7 users (show)

See Also:
Fixed In Version: redhat-lsb-3.1-22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:58:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hliu: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Kostas Georgiou 2007-11-10 21:20:22 EST
On 64bit systems remove_initd is in /usr/lib64/lsb/remove_initd
but the rpm post/pre scripts try to use /usr/lib/lsb/remove_initd.

This results to errors like:
/var/tmp/rpm-tmp.98769: line 1: /usr/lib/lsb/install_initd: No such file or
directory
error: %post(tor-lsb-0.1.2.17-1.fc8.x86_64) scriptlet failed, exit status 127

Switching to the %{_libdir} macro should be enough to fix the error but since I
haven't looked at the spec file I could be wrong.
Comment 1 Enrico Scholz 2008-02-12 15:14:26 EST
LSB 20.4 "Installation an Removal of Init Scripts" specifies /usr/lib as
location of the remove_initd and install_initd scripts.
Comment 2 Enrico Scholz 2008-02-26 12:24:54 EST
*** Bug 434944 has been marked as a duplicate of this bug. ***
Comment 3 Enrico Scholz 2008-03-17 15:38:48 EDT
*** Bug 437846 has been marked as a duplicate of this bug. ***
Comment 4 Karsten Hopp 2008-04-21 04:22:44 EDT
*** Bug 442717 has been marked as a duplicate of this bug. ***
Comment 5 Enrico Scholz 2008-07-20 07:55:06 EDT
*** Bug 455021 has been marked as a duplicate of this bug. ***
Comment 6 Hao Liu 2008-08-08 02:52:27 EDT
LSB uses /usr/lib rather than /usr/lib64 even for 64bit OS.
Comment 7 Kostas Georgiou 2008-10-13 11:38:22 EDT
I am need sure what you want me to retest, both f8,f9 versions are at redhat-lsb-3.1-19 so there isn't a fix out.
Comment 8 Enrico Scholz 2008-11-17 10:34:14 EST
*** Bug 471872 has been marked as a duplicate of this bug. ***
Comment 9 Jonathan Underwood 2008-11-17 11:46:18 EST
What information is required for this - why is it NEEDINFO?
Comment 10 Bug Zapper 2008-11-26 03:18:24 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Sarantis Paskalis 2008-11-26 05:57:48 EST
redhat-lsb in F10 has the issue corrected (/usr/lib64/lsb moved to /usr/lib/lsb).
According to the changelog since version redhat-lsb-3.1-22 in August.

F8 and F9 (version 3.1-19) have the issue still outstanding.
Comment 12 Enrico Scholz 2008-12-09 08:13:09 EST
*** Bug 475437 has been marked as a duplicate of this bug. ***
Comment 13 Bug Zapper 2009-06-09 19:09:58 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 13:58:49 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.